> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trytikt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a tracked profile

> A tracked profile, with its state, its followers and its usual engagement.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/tracked-profiles/{id}
openapi: 3.1.0
info:
  title: TIKT API
  version: '2026-10-01'
  description: >-
    Read your leads with their verdict criterion by criterion, and answer TIKT:
    file, discard, exclude, pause, track. Server to server only: never call it
    from a browser.
servers:
  - url: https://api.trytikt.com
security:
  - apiKey: []
tags:
  - name: workspace
  - name: leads
  - name: lists
  - name: posts
  - name: tracked-profiles
  - name: icp
  - name: analytics
  - name: events
  - name: webhook-endpoints
  - name: workflows
  - name: tools
paths:
  /v1/tracked-profiles/{id}:
    get:
      tags:
        - tracked-profiles
      summary: Get a tracked profile
      description: >-
        A tracked profile, with its state, its followers and its usual
        engagement.
      operationId: getATrackedProfile
      parameters:
        - name: id
          in: path
          required: true
          description: The tracked profile's id.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrackedProfile'
        '400':
          $ref: '#/components/responses/E400'
        '401':
          $ref: '#/components/responses/E401'
        '404':
          $ref: '#/components/responses/E404'
        '429':
          $ref: '#/components/responses/E429'
        '500':
          $ref: '#/components/responses/E500'
        '503':
          $ref: '#/components/responses/E503'
      security:
        - apiKey: []
components:
  schemas:
    TrackedProfile:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
        linkedin_url:
          type: string
        public_identifier:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
        relationship:
          type: string
        custom_label:
          anyOf:
            - type: string
            - type: 'null'
        state:
          type: string
        auto_harvest:
          type: object
          properties:
            enabled:
              type: boolean
            since:
              anyOf:
                - type: string
                  pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
                - type: 'null'
          required:
            - enabled
            - since
          additionalProperties: false
        onboarding_state:
          type: string
        followers_count:
          anyOf:
            - type: integer
            - type: 'null'
        posts_last_28_days:
          anyOf:
            - type: integer
            - type: 'null'
        posts_per_week:
          anyOf:
            - type: number
            - type: 'null'
        typical_engagement:
          anyOf:
            - type: number
            - type: 'null'
        engagement_p90:
          anyOf:
            - type: number
            - type: 'null'
        followers_gained_7d:
          anyOf:
            - type: integer
            - type: 'null'
        followers_gained_30d:
          anyOf:
            - type: integer
            - type: 'null'
        last_post_at:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
            - type: 'null'
        added_at:
          type: string
          pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
        console_url:
          type: string
      required:
        - id
        - linkedin_url
        - public_identifier
        - name
        - avatar_url
        - relationship
        - custom_label
        - state
        - auto_harvest
        - onboarding_state
        - followers_count
        - posts_last_28_days
        - posts_per_week
        - typical_engagement
        - engagement_p90
        - followers_gained_7d
        - followers_gained_30d
        - last_post_at
        - added_at
        - console_url
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - parametre_inconnu
                - parametre_invalide
                - corps_invalide
                - curseur_invalide
                - cle_absente
                - cle_invalide
                - cle_revoquee
                - cle_de_lecture
                - introuvable
                - methode_non_permise
                - limite_atteinte
                - corps_trop_gros
                - refus
                - trop_de_requetes
                - erreur_interne
                - indisponible
            message:
              type: string
            status:
              type: integer
            request_id:
              anyOf:
                - type: string
                - type: 'null'
            details:
              type: object
              additionalProperties: true
          required:
            - code
            - message
            - status
            - request_id
          additionalProperties: false
      required:
        - error
      additionalProperties: false
  responses:
    E400:
      description: Error 400.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E401:
      description: Error 401.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E404:
      description: Error 404.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E429:
      description: Error 429.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E500:
      description: Error 500.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E503:
      description: Error 503.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Your API key, created in Settings › API: `Authorization: Bearer
        tikt_live_…`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.